import { Aptos } from "@aptos-labs/ts-sdk";
import { AptosUnsignedTransaction, type AptosChains } from "@wormhole-foundation/sdk-aptos";
import type { AccountAddress, ChainAddress, ChainsConfig, Network, Platform } from "@wormhole-foundation/sdk-connect";
import { CircleBridge, CircleTransferMessage, Contracts } from "@wormhole-foundation/sdk-connect";
import { AptosCCTPMoveScripts } from "./moveScripts.js";
export declare class AptosCircleBridge<N extends Network, C extends AptosChains> implements CircleBridge<N, C> {
    readonly network: N;
    readonly chain: C;
    readonly provider: Aptos;
    readonly contracts: Contracts;
    readonly usdcId: string;
    readonly tokenMessengerId: string;
    readonly messageTransmitterId: string;
    readonly moveScripts: AptosCCTPMoveScripts;
    constructor(network: N, chain: C, provider: Aptos, contracts: Contracts);
    transfer(sender: AccountAddress<C>, recipient: ChainAddress, amount: bigint): AsyncGenerator<AptosUnsignedTransaction<N, C>>;
    isTransferCompleted(message: CircleBridge.Message): Promise<boolean>;
    redeem(sender: AccountAddress<C>, message: CircleBridge.Message, attestation: string): AsyncGenerator<AptosUnsignedTransaction<N, C>>;
    parseTransactionDetails(digest: string): Promise<CircleTransferMessage>;
    static fromRpc<N extends Network>(provider: Aptos, config: ChainsConfig<N, Platform>): Promise<AptosCircleBridge<N, AptosChains>>;
    private createUnsignedTx;
}
//# sourceMappingURL=circleBridge.d.ts.map